From 98d7b3c625a241cc5cd106f306615b26982423a0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Toque?= <xilasz@gmail.com>
Date: Sun, 25 Sep 2011 11:17:39 +0200
Subject: [PATCH] posix_memalign is not available on android

---
 include/vlc_common.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/include/vlc_common.h b/include/vlc_common.h
index 4c8c5e9..a6f3534 100644
--- a/include/vlc_common.h
+++ b/include/vlc_common.h
@@ -914,6 +914,9 @@ static void vlc_free(void *ptr)
     if (ptr)
         free((char*)ptr - ((char*)ptr)[-1]);
 }
+#elif defined(__ANDROID__)
+# define vlc_memalign(align, size) memalign(align, size)
+# define vlc_free(base) free(base)
 #else
 static inline void *vlc_memalign(size_t align, size_t size)
 {
-- 
1.7.4.1

